{% extends "base.html" %}

{% block content %}
  <div class="container">
    <div class="row justify-content-center my-4" style="margin-top: 10vh !important;">
      <div class="col-lg-5 col-md-6 col-sm-9 col-12">
          <div class="card">
            <div class="card-header">
              <h2><i class="fas fa-user-plus"></i> Add User</h2>
            </div>
            <div class="card-body">
              <form action="" method="post">
                {{ form.hidden_tag() }}
                <div class="form-group">
                  {{ form.username.label }}
                  {{ form.username(size=32, class_="form-control", placeholder="Enter Username", autofocus='') }}
                  <div class="form-errors">
                    {% for error in form.username.errors %}
                      {{ error }}
                    {% endfor %}
                  </div>
                </div>
                <div class="form-group">
                  {{ form.email.label }}
                  {{ form.email(size=32, class_="form-control", placeholder="Enter Email") }}
                  <div class="form-errors">
                    {% for error in form.email.errors %}
                      {{ error }}
                    {% endfor %}
                  </div>
                </div>
                <div class="form-group">
                  {{ form.password.label }}
                  {{ form.password(size=32, class_="form-control", placeholder="Enter Password") }}
                  <div class="form-errors">
                    {% for error in form.password.errors %}
                      {{ error }}
                    {% endfor %}
                  </div>
                </div>
                <div class="form-group">
                  {{ form.password2.label }}
                  {{ form.password2(size=32, class_="form-control", placeholder="Enter Password again") }}
                  <div class="form-errors">
                    {% for error in form.password2.errors %}
                      {{ error }}
                    {% endfor %}
                  </div>
                </div>
                <div class="form-group">
                  {{ form.role_id.label }}
                  {{ form.role_id(class_="form-control") }}
                  <div class="form-errors">
                    {% for error in form.role_id.errors %}
                      {{ error }}
                    {% endfor %}
                  </div>
                </div>
                {{ form.submit(class_="btn btn-success btn-block") }}
              </form>
            </div>
          </div>
      </div>
    </div>
  </div>
{% endblock %}